/*******************************************************************************
 * Copyright (c) 2011 David Kawrykow.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     David Kawrykow - initial API and implementation
 ******************************************************************************/
package ca.mcgill.cs.swevo.util;


public class CollectionMapUtil {

	public static <T, V> CollectionMap<V, T> transpose (CollectionMap<T, V> map) {
		CollectionMap<V, T> transpose = new CollectionMap<V, T>();
		for (T item : map.keySet()) {
			for (V val : map.get(item)) {
				transpose.add(val, item);
			}
		}
		return transpose;
	}

}
