package ca.mcgill.cs.swevo.diffcat.view.diags;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class SeedDialog extends Dialog {

	public SeedDialog(Shell parentShell) {
		super(parentShell);
		this.seed = "";	
	}

	private String seed;
	private List<Text> fields = new ArrayList<Text>();
		
	public String getSeed() {
		return returnAttribute(seed);
	}
	
	private String returnAttribute(String attr) {
		return attr.isEmpty()? null : attr;
	}
	
	protected Control createDialogArea(Composite parent) {
		   Composite container = (Composite) super.createDialogArea(parent);
		   final GridLayout gridLayout = new GridLayout();
		   gridLayout.numColumns = 2;
		   container.setLayout(gridLayout);

//		   final Label savings = new Label(container, SWT.NONE);
//		   savings.setLayoutData(new GridData(GridData.BEGINNING,
//		         GridData.CENTER, false, false, 2, 1));
//		   savings.setText("Transaction Range");

		   final Label methodCallsLabel = new Label(container, SWT.NONE);
		   methodCallsLabel.setLayoutData(new GridData(GridData.END,
		         GridData.CENTER, false, false));
		   methodCallsLabel.setText("Seed: ");
		   
		   createField("seed", container);
		   
//		   final Label varDeclsLabel = new Label(container, SWT.NONE);
//		   varDeclsLabel.setLayoutData(new GridData(GridData.END,
//		         GridData.CENTER, false, false));
//		   varDeclsLabel.setText("Upper Bound");
//
//		   createField("upperBound", container);
		   
		   return container;
		}
	
	private void createField(final String attribute, Composite parent) {
		final Text field = new Text(parent, SWT.BORDER);
		field.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
		if(attribute.equals("seed")) {
			field.setText("");
			field.addModifyListener(new ModifyListener() {
				public void modifyText(ModifyEvent e) {
					seed = field.getText();
				}
			});
		} 
//		else  {
//			field.setText("-1");
//			field.addModifyListener(new ModifyListener() {
//				public void modifyText(ModifyEvent e) {
//					upperBound = field.getText();
//				}
//			});
//		} 
		
		fields.add(field);
	}

}
