package ca.mcgill.cs.swevo.diffcat.view.diff;

public class DiffShell {

	public final int leftOff;
	public final int leftLen;
	public final int rightOff;
	public final int rightLen;
	
	public DiffShell (int leftOff, int leftLen, int rightOff, int rightLen) {
		this.leftOff = leftOff;
		this.leftLen = leftLen;
		this.rightOff = rightOff;
		this.rightLen = rightLen;
	}
	
	@Override
	public boolean equals (Object o) {
		if (!o.getClass().equals(getClass())) {
			return false;
		}
		
		DiffShell other = (DiffShell) o;
		
		return 
			other.leftOff == this.leftOff &&
			other.rightOff == this.rightOff &&
			other.leftLen == this.leftLen &&
			other.rightLen == this.rightLen;
	}
	
	@Override
	public String toString () {
		return "(" + leftOff + "," + leftLen +") || (" + rightOff + "," + rightLen + ")"; 
	}
}
