/*******************************************************************************
 * Copyright (c) 2011 David Kawrykow.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     David Kawrykow - initial API and implementation
 ******************************************************************************/
package ca.mcgill.cs.swevo.diffcat.model;

public enum ChangeOpEntity {

    CLASS,
    ALTERNATIVE_PART,
    ATTRIBUTE_RENAME, 
    ATTRIBUTE_TYPE, 
    COMMENT,
    CONDITION_EXPRESSION,
    DECREASING_ACCESSIBILITY, 
    DOC,
    INCREASING_ACCESSIBILITY,
    METHOD_RENAME, 
    PARAMETER, 
    PARAMETER_ORDERING, 
    PARAMETER_RENAME,
    PARAMETER_TYPE, 
    PARENT_CLASS,
    PARENT_INTERFACE_CHANGE,
    ATTRIBUTE_MODIFIABILITY, 
    CATCH_CLAUSE,
    CLASS_CAST,
    CLASS_DERIVABILITY,
    ENUM_CONSTANT,
    FUNCTIONALITY,
    IF_STATEMENT,
    IMPORT_STATEMENT,
    LOCAL_VAR_DECL,
    METHOD_CALL,
    METHOD_OVERRIDABILITY,
    OBJECT_STATE,
    PARENT_INTERFACE,
    RETURN_STATEMENT,
    RETURN_TYPE,
    STATEMENT,
    STATEMENT_ORDERING,
    STATEMENT_PARENT,
    UNCLASSIFIED;
	
}
