/*******************************************************************************
 * Copyright (c) 2011 David Kawrykow.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     David Kawrykow - initial API and implementation
 ******************************************************************************/
package ca.mcgill.cs.swevo.diffcat.util.filter;

import ca.mcgill.cs.swevo.diffcat.model.ChangeOperation;

public class IsFieldResultFilter extends IsChangeOperationFilter {

	public IsFieldResultFilter () {
		super (
			ChangeOperation.ATTRIBUTE_ACCESSIBILITY_DELETE.name(),
			ChangeOperation.ATTRIBUTE_ACCESSIBILITY_INSERT.name(),
			ChangeOperation.ATTRIBUTE_ACCESSIBILITY_UPDATE.name(),
			ChangeOperation.ATTRIBUTE_DELETE.name(), 
			ChangeOperation.ATTRIBUTE_INIT_DELETE.name(),
			ChangeOperation.ATTRIBUTE_INIT_INSERT.name(),
			ChangeOperation.ATTRIBUTE_INIT_UPDATE.name(),
			ChangeOperation.ATTRIBUTE_INSERT.name(),
			ChangeOperation.ATTRIBUTE_MODIFIABILITY_DELETE.name(),
			ChangeOperation.ATTRIBUTE_MODIFIABILITY_INSERT.name(),
			ChangeOperation.ATTRIBUTE_NAME_UPDATE.name(),
			ChangeOperation.ATTRIBUTE_TYPE_TRIVIAL_UPDATE.name(),
			ChangeOperation.ATTRIBUTE_TYPE_UPDATE.name(),
			ChangeOperation.ATTRIBUTE_SIGNATURE_UPDATE.name());
	}
	
}
