/*******************************************************************************
 * Copyright (c) 2011 David Kawrykow.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     David Kawrykow - initial API and implementation
 ******************************************************************************/
package ca.mcgill.cs.swevo.util;

import java.util.Collection;
import java.util.LinkedList;

import org.junit.Test;
import static ca.mcgill.cs.swevo.util.CollectionUtil.*;
import static junit.framework.Assert.*;

public class TestCollectionUtil {

	@Test
	public void testGetFirst () {
		Collection<String> col = new LinkedList<String>();
		col.add("Val2");
		col.add("Val1");
		
		assertEquals("Val2", getFirst(col));
	}
	
}
